/* Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.pig.test.utils;

import java.io.IOException;
import java.util.Properties;

import org.apache.pig.EvalFunc;
import org.apache.pig.data.Tuple;
import org.apache.pig.impl.util.UDFContext;

public class UDFContextTestEvalFunc3 extends EvalFunc<String> {

    public UDFContextTestEvalFunc3() {
        Properties p = UDFContext.getUDFContext().getUDFProperties(this.getClass());
        if (p.getProperty("key1") == null) {
            String name = Thread.currentThread().getName();
            p.setProperty("key1", name);
        }
    }

    @Override
    public String exec(Tuple input) throws IOException {
        if (UDFContext.getUDFContext().getJobConf() == null) return "JobConf is null!";
        else return UDFContext.getUDFContext().getUDFProperties(this.getClass()).getProperty("key1");
    }
        
}